### Method

# Camel VeeSummary replace_flags

since: 3.58

#### Declaration [src]

    gboolean
    camel_vee_summary_replace_flags (
      CamelVeeSummary* vsummary,
      const gchar* vuid
    )

#### Description [src]

Makes sure `vsummary` flags on `uid` corresponds to those in the subfolder of vee-folder, and updates internal counts on `vsummary` as well.

Available since: 3.58

This method is not directly available to language bindings.

#### Parameters

`vuid`

  Type: `const gchar*`

  A message UID to update flags for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

Whether any count changed.